﻿@charset "UTF-8";

/* 商品検索（ＰＣ） ファーストビュー用 */

.block-goods-list--image-relative {
  position: relative;
}

/* ----商品一覧画面：サムネイル：block-thumbnail-t---- */

.block-thumbnail-t--items {
  margin: 0;
}

.block-thumbnail-t--goods {
  position: relative;
  width: calc((100% - 60px) / 4);
  flex-basis: calc((100% - 60px) / 4);
  margin: 0;
}

.block-thumbnail-t--goods:not(:nth-child(4n)) {
  margin-right: 20px;
}

.block-thumbnail-t--goods:not(:nth-child(-n + 4)) {
  margin-top: 60px;
}

.block-thumbnail-t--goods-image figure {
  width: 100%;
  height: auto;
  border-radius: 8px;
  overflow: hidden;
  aspect-ratio: 1 / 1;
}

.block-thumbnail-t--goods-image figure::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 1px solid var(--cl-bdr);
  border-radius: 10px;
}

.block-thumbnail-t--goods a {
  display: block;
  text-decoration: none;
}

.block-thumbnail-t--goods a:hover {
  opacity: 0.65;
}

.block-thumbnail-t .block-icon {
  position: absolute;
  top: 1px;
  right: 11px;
}

.block-thumbnail-t--goods-name {
  margin-top: 8px;
}

.block-thumbnail-t--goods-name a {
  font-weight: 600;
}

.block-thumbnail-t .block-goods-attr1 {
  margin-top: 4px;
  color: var(--cl-gy-3);
}

.block-thumbnail-t--price-infos {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-end;
  margin-top: 6px;
}

.block-thumbnail-t--scomment {
  color: var(--cl-rd);
  font-size: 1.2rem;
  font-weight: 700;
}

.block-thumbnail-t--price-items {
  display: flex;
  flex-direction: row-reverse;
  align-items: baseline;
  margin-top: 4px;
}

.block-thumbnail-t--price {
  font-size: 2rem;
}

.block-thumbnail-t--price::after {
  font-size: 1.2rem;
}

.block-thumbnail-t--scomment + .block-thumbnail-t--price-items .block-thumbnail-t--price {
  margin-left: 4px;
  color: var(--cl-rd);
}

.block-thumbnail-t--default-price {
  font-size: 1.2rem;
}

.block-thumbnail-t--goods-comment {
  margin-top: 10px;
  font-size: 1.2rem;
  line-height: 1.667;
}

.block-thumbnail-t--goods-comment p {
  display: -webkit-box;
  text-decoration: none;
  overflow: hidden;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

.block-thumbnail-t--btns {
  display: flex;
  justify-content: space-between;
  margin-top: 12px;
}

.block-thumbnail-t--add-cart {
  width: calc(100% - 50px);
}

.block-thumbnail-t--add-cart a {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100%;
  height: 40px;
  border-radius: 4px;
  background-color: var(--cl-dbl);
  color: #ffffff;
  font-weight: 600;
  text-decoration: none;
}

.block-thumbnail-t--add-cart a::before {
  content: "";
  display: inline-block;
  position: relative;
  width: 14px;
  height: 14px;
  margin-right: 10px;
  background-image: var(--ico-cart);
  background-position: center;
  background-repeat: no-repeat;
}

.block-thumbnail-t .block-goods-list--favorite--btn,
.block-thumbnail-t .block-goods-list--favorite-registed--btn {
  position: relative;
  top: auto;
  left: auto;
  width: 40px;
  height: 40px;
  background-image: var(--fv-off);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.block-thumbnail-t .block-goods-list--favorite-registed--btn {
  background-image: var(--fv-on);
}

/* 表示方法・並べ替え・ページャ */

.block-goods-list--sort-order-items {
  margin: 0;
  font-size: 1.2rem;
}

.block-goods-list--sort-order-items p {
  display: none;
}

.block-goods-list--sort-order-items select {
  width: 150px;
  height: 31px;
  padding: 0 45px 0 16px;
  border: 1px solid var(--cl-bdr);
  border-radius: 4px;
  font-weight: 600;
  text-align: right;
}

/* アレルギー物質検索 */

.block-search-goods--nav {
  display: flex;
  justify-content: flex-end;
  position: relative;
  margin: -14px 0 40px;
}

.block-search-goods--allergy {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  margin-right: 23px;
}

.block-search-goods--allergy-ttl {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 189px;
  height: 31px;
  padding-right: 13px;
  border-radius: 4px;
  background-color: var(--cl-gy-2);
  color: var(--cl-dbl);
  font-size: 1.2rem;
  font-weight: 600;
  cursor: pointer;
  transition: border 0.15s;
}

.block-search-goods--allergy-ttl.is-open {
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.block-search-goods--allergy-ttl .icon-plus {
  display: block;
  position: absolute;
  top: 50%;
  right: 14px;
  width: 10px;
  height: 10px;
  margin-top: -5px;
}

.block-search-goods--allergy-ttl .icon-plus::before,
.block-search-goods--allergy-ttl .icon-plus::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 10px;
  height: 2px;
  margin: -1px 0 0 -5px;
  background-color: var(--cl-dbl);
}

.block-search-goods--allergy-ttl .icon-plus::after {
  transform: rotate(90deg);
  transition: transform 0.14s;
}

.block-search-goods--allergy-ttl.is-open .icon-plus::after {
  transform: rotate(0);
}

.block-search-goods--allergy-ttl::after {
  content: "";
  display: block;
  position: absolute;
  bottom: -18px;
  left: 0;
  width: 100%;
  height: 18px;
  background-color: var(--cl-gy-2);
  opacity: 0;
  transition: opacity 0.2s;
}

.block-search-goods--allergy-ttl.is-open::after {
  opacity: 1;
}

.block-search-goods--allergy-container {
  display: none;
  position: relative;
  width: 1200px;
  margin-right: -173px;
  padding: 30px 45px;
  border-radius: 10px;
  background-color: var(--cl-gy-2);
  margin-top: 18px;
}

.block-search-goods--allergy-container.is-open {
  display: block;
}

.block-search-goods--allergy-container .item-comment {
  margin-top: -3px;
  font-weight: 600;
}

.block-search-goods--allergy-container .item-list {
  display: flex;
  flex-wrap: wrap;
  margin: 6px -10px 0 0;
}

.block-search-goods--allergy-container .item-list li {
  width: 70px;
  margin: 12px 10px 0 0;
}

.block-search-goods--allergy-container .item-list li.large {
  width: 149px;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"] {
  display: none;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"] + label {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 25px;
  margin: 0;
  padding: 0;
  border-radius: 6px;
  background-color: #ffffff;
  font-weight: 600;
  text-decoration: none;
  cursor: pointer;
  transition: 0.2s;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"]:checked + label {
  background-color: var(--cl-rd);
  color: #ffffff;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"] + label:hover {
  opacity: 0.65;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"] + label::before {
  content: none;
}

.block-search-goods--allergy-container .item-annotation {
  margin-top: 16px;
}
